//---------------------------------------------------------------------------

#ifndef FrmMainUnitH
#define FrmMainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <Taskbar.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include "Trayicon.h"
#include <ImgList.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TStatusBar *StatusBar;
        TListView *ProgramListView;
        TCoolBar *CoolBar1;
        TToolBar *ToolBar1;
        TToolButton *ToolButton2;
        TToolButton *btnInject;
        TToolButton *btnUninject;
        TImageList *ImageList1;
        TToolButton *btnAddProgram;
        TOpenDialog *OpenDialog;
        TToolButton *btnDeleteProgram;
        TImageList *ProgramLargeImageList;
        TImageList *ProgramSmallImageList;
        TToolButton *btnExecProgram;
        TToolButton *btnSettingProgram;
        TToolButton *ToolButton1;
        TToolButton *btnOpenFolder;
        TTrayIcon *TrayIcon;
        TPopupMenu *popProgramList;
        TPopupMenu *popProgramControl;
        TMenuItem *btnTerminateProcess;
        TMenuItem *PID;
        TMenuItem *btnFreezeProcess;
        TMenuItem *N1;
        TMenuItem *btnSettingProgramPopup;
        TMenuItem *menuProcessControl;
        TMenuItem *N2;
        TMenuItem *btnExecuteProgramPopup;
        TMenuItem *btnOpenFolderPopup;
        TMenuItem *menuWindowControl;
        TMenuItem *btnNormalWindowStyle;
        TTimer *timerStatusBar;
        void __fastcall InjectClick(TObject *Sender);
        void __fastcall UnInjectClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall ProgramListViewData(TObject *Sender, TListItem *Item);
        void __fastcall btnAddProgramClick(TObject *Sender);
        void __fastcall btnDeleteProgramClick(TObject *Sender);
        void __fastcall ProgramListViewEdited(TObject *Sender, TListItem *Item, AnsiString &S);
        void __fastcall ProgramListViewKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
        void __fastcall ProgramListViewSelectItem(TObject *Sender, TListItem *Item, bool Selected);
        void __fastcall ProgramListViewMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
        void __fastcall btnExecProgramClick(TObject *Sender);
        void __fastcall btnSettingProgramClick(TObject *Sender);
        void __fastcall ProgramListViewDblClick(TObject *Sender);
        void __fastcall ProgramListViewResize(TObject *Sender);
        void __fastcall ProgramListViewGetImageIndex(TObject *Sender, TListItem *Item);
        void __fastcall btnOpenFolderClick(TObject *Sender);
        void __fastcall TrayIconDblClick(TObject *Sender);
        void __fastcall popProgramListPopup(TObject *Sender);
        void __fastcall PIDClick(TObject *Sender);
        void __fastcall btnTerminateProcessClick(TObject *Sender);
        void __fastcall popProgramControlPopup(TObject *Sender);
        void __fastcall btnFreezeProcessClick(TObject *Sender);
        void __fastcall btnExitClick();
        void __fastcall btnNormalWindowStyleClick(TObject *Sender);
        void __fastcall timerStatusBarTimer(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
