object Form2: TForm2
  Left = 255
  Top = 194
  ActiveControl = btnCancel
  BorderStyle = bsDialog
  Caption = 'Execution options - '
  ClientHeight = 252
  ClientWidth = 392
  Color = clBtnFace
  Font.Charset = ANSI_CHARSET
  Font.Color = clWindowText
  Font.Height = -12
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object Label1: TLabel
    Left = 43
    Top = 12
    Width = 53
    Height = 13
    Hint = 'Command line options'
    Alignment = taCenter
    Caption = 'Arguments:'
    ParentShowHint = False
    ShowHint = True
  end
  object imgIcon: TImage
    Left = 2
    Top = 2
    Width = 35
    Height = 35
    ParentShowHint = False
    ShowHint = True
  end
  object editCommandLine: TEdit
    Left = 100
    Top = 9
    Width = 285
    Height = 21
    TabOrder = 0
  end
  object btnOk: TButton
    Left = 223
    Top = 217
    Width = 71
    Height = 27
    Caption = 'O&K'
    ModalResult = 1
    TabOrder = 2
  end
  object btnCancel: TButton
    Left = 311
    Top = 217
    Width = 70
    Height = 27
    Caption = 'C&ancel'
    ModalResult = 2
    TabOrder = 3
  end
  object PageControl: TPageControl
    Left = 9
    Top = 43
    Width = 376
    Height = 166
    ActivePage = tabCommon
    Anchors = [akLeft, akTop, akRight, akBottom]
    ParentShowHint = False
    ShowHint = True
    TabOrder = 1
    object tabCommon: TTabSheet
      Caption = 'Common'
      object chkFps: TCheckBox
        Left = 156
        Top = 43
        Width = 205
        Height = 19
        Hint = 'Estimated amount of screen updates per second will be visible.'
        Caption = 'Show FPS'
        TabOrder = 4
      end
      object chkWindowMode: TCheckBox
        Left = 156
        Top = 9
        Width = 205
        Height = 18
        Hint = 
          'Enables running in a window (some functions may still run fullsc' +
          'reen).'
        Caption = 'Use Windowed Mode'
        TabOrder = 3
      end
      object editHeight: TEdit
        Left = 69
        Top = 37
        Width = 45
        Height = 21
        MaxLength = 4
        TabOrder = 1
        OnKeyPress = editDigitKeyPress
      end
      object StaticText1: TStaticText
        Left = 2
        Top = 41
        Width = 61
        Height = 17
        Hint = 'Forces the specified graphics canvas height, in pixels.'
        Alignment = taRightJustify
        Caption = 'Fixed height'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
      end
      object editWidth: TEdit
        Left = 69
        Top = 11
        Width = 45
        Height = 21
        MaxLength = 4
        TabOrder = 0
        OnKeyPress = editDigitKeyPress
      end
      object StaticText2: TStaticText
        Left = 6
        Top = 15
        Width = 57
        Height = 17
        Hint = 'Forces the specified graphics canvas width, in pixels.'
        Alignment = taRightJustify
        Caption = 'Fixed width'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
      end
      object editMenuId: TEdit
        Left = 69
        Top = 63
        Width = 71
        Height = 21
        TabOrder = 2
      end
      object StaticText3: TStaticText
        Left = 17
        Top = 67
        Width = 45
        Height = 17
        Hint = 'ID number of the menu; type it like #111.'
        Alignment = taRightJustify
        Caption = 'Menu ID'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
      end
      object editSubModule: TEdit
        Left = 69
        Top = 104
        Width = 228
        Height = 21
        TabOrder = 8
      end
      object subModule: TStaticText
        Left = 1
        Top = 109
        Width = 65
        Height = 17
        Hint = 'Allows loading additional DLL with the program.'
        Caption = 'Auxiliary DLL'
        TabOrder = 9
      end
      object btnSelectSubModule: TButton
        Left = 303
        Top = 101
        Width = 61
        Height = 27
        Caption = 'Browse...'
        TabOrder = 10
        OnClick = btnSelectSubModuleClick
      end
      object chkBackgroundResize: TCheckBox
        Left = 156
        Top = 78
        Width = 205
        Height = 18
        Caption = 'Reduce app size in background'
        TabOrder = 11
      end
      object chkBackgroundPriority: TCheckBox
        Left = 156
        Top = 61
        Width = 205
        Height = 18
        Caption = 'Lower app priority in background'
        TabOrder = 12
      end
    end
    object tabWindowMode: TTabSheet
      Caption = 'Window control'
      ImageIndex = 1
      object grpDDraw: TGroupBox
        Left = 0
        Top = 27
        Width = 368
        Height = 111
        Align = alBottom
        Caption = 'DirectX1-7'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 0
        object chkDDrawFlipBlt: TCheckBox
          Left = 9
          Top = 17
          Width = 136
          Height = 19
          Hint = 'Flip screen on buffer copying (BLT) operation.'
          Caption = 'Flip on DDraw BLT'
          TabOrder = 0
        end
        object chkDDrawColorEmulate: TCheckBox
          Left = 9
          Top = 35
          Width = 136
          Height = 18
          Hint = 'Helps to keep compatibility with color mode used by the program.'
          Caption = 'Emulate color model'
          TabOrder = 1
          OnClick = chkDDrawColorEmulateClick
        end
        object chkDDrawColorConvert: TCheckBox
          Left = 9
          Top = 52
          Width = 136
          Height = 18
          Hint = 
            'This option should be normally OFF. But in some special situatio' +
            'ns when system colors do not match with app, it may become usefu' +
            'l.'
          Caption = 'Use color conversion'
          TabOrder = 2
        end
        object chkDDrawPrimaryBlt: TCheckBox
          Left = 156
          Top = 17
          Width = 149
          Height = 19
          Hint = 'This should give an increase for often repeated drawing.'
          Caption = 'DDraw Primary BLT'
          TabOrder = 3
        end
        object chkDDrawEmulate: TCheckBox
          Left = 156
          Top = 35
          Width = 149
          Height = 18
          Hint = 'Requires more CPU, but in some cases may still be faster.'
          Caption = 'Emulate DDraw'
          TabOrder = 4
        end
        object chkDDrawPrimaryLost: TCheckBox
          Left = 156
          Top = 52
          Width = 149
          Height = 18
          Hint = 
            'May help with switching to other apps when the program is runnin' +
            'g.'
          Caption = 'Always set Primary Lost'
          TabOrder = 5
        end
        object chkDDrawBltWait: TCheckBox
          Left = 9
          Top = 69
          Width = 139
          Height = 19
          Hint = 
            'This may correct colors-related problems. Switches between no wa' +
            'it, one wait state and 3 wait states after every BLT instruction' +
            '.'
          AllowGrayed = True
          Caption = 'Wait after BLTing'
          TabOrder = 6
        end
        object chkDDrawAutoBlt: TCheckBox
          Left = 156
          Top = 69
          Width = 148
          Height = 19
          Hint = 
            'Unlock the screen after BLT, allowing to continously refresh vid' +
            'eo.'
          Caption = 'Auto refresh on BLT'
          TabOrder = 7
        end
      end
      object chkDirectDraw: TCheckBox
        Left = 9
        Top = 4
        Width = 122
        Height = 18
        Hint = 'For 2D applications, which use DirectDraw.'
        Caption = 'Hook DirectX1-7'
        TabOrder = 1
        OnClick = chkDirectDrawClick
      end
      object chkDirect3D: TCheckBox
        Left = 130
        Top = 4
        Width = 122
        Height = 18
        Hint = 'For 3D applications, which use Direct3D.'
        Caption = 'Hook DirectX8-9'
        TabOrder = 2
      end
      object chkGDI: TCheckBox
        Left = 260
        Top = 4
        Width = 79
        Height = 18
        Hint = 'For apps which does not use DirectX.'
        Caption = 'Hook GDI'
        TabOrder = 3
      end
    end
    object tabFGC: TTabSheet
      Caption = 'Foreground control'
      ImageIndex = 3
      object chkForegroundControl: TCheckBox
        Left = 9
        Top = 4
        Width = 174
        Height = 18
        Hint = 
          'Inform the application when switching between tasks makes it act' +
          'ive.'
        Caption = 'Use foreground control'
        TabOrder = 0
        OnClick = chkForegroundControlClick
      end
      object grpForegroundControl: TGroupBox
        Left = 0
        Top = 24
        Width = 368
        Height = 114
        Align = alBottom
        Caption = 'Foreground control modifiers'
        TabOrder = 1
        object chkFGCGetForegroundWindow: TCheckBox
          Left = 9
          Top = 43
          Width = 226
          Height = 19
          Caption = 'Hook GetForegroundWindow'
          TabOrder = 0
        end
        object chkFGCGetActiveWindow: TCheckBox
          Left = 9
          Top = 26
          Width = 200
          Height = 18
          Caption = 'Hook GetActiveWindow'
          TabOrder = 1
        end
        object chkFGCFixedWindowPosition: TCheckBox
          Left = 9
          Top = 61
          Width = 191
          Height = 18
          Hint = 'Updates window position coordinates'
          Caption = 'Fix window position'
          TabOrder = 2
        end
      end
    end
    object tabDirectInput: TTabSheet
      Caption = 'DirectInput'
      ImageIndex = 4
      object chkDirectInput: TCheckBox
        Left = 9
        Top = 4
        Width = 176
        Height = 18
        Hint = 
          'Makes ALT+TAB to properly switch between tasks even if the aplic' +
          'ation prevents it.'
        Caption = 'Use DirectInput control'
        TabOrder = 0
      end
      object GroupBox1: TGroupBox
        Left = 0
        Top = 79
        Width = 368
        Height = 59
        Align = alBottom
        Caption = 'Cursor coordinates control'
        TabOrder = 1
        object chkCursorSet: TCheckBox
          Left = 199
          Top = 17
          Width = 162
          Height = 19
          Hint = 'Cursor coordinates used in SetCursorPos call will be converted.'
          Caption = 'Convert on SetCursorPos'
          TabOrder = 0
        end
        object chkCursorGet: TCheckBox
          Left = 199
          Top = 35
          Width = 162
          Height = 18
          Hint = 'Cursor coordinates used in GetCursorPos call will be converted.'
          Caption = 'Convert on GetCursorPos'
          TabOrder = 1
        end
        object chkCursorMsg: TCheckBox
          Left = 9
          Top = 17
          Width = 184
          Height = 19
          Hint = 
            'Hooked functions will recieve/return coords relative to window c' +
            'enter.'
          Caption = 'Relative to window center'
          TabOrder = 2
        end
        object chkCursorClip: TCheckBox
          Left = 9
          Top = 35
          Width = 184
          Height = 18
          Hint = 
            'If mouse cursor is outside of the app window, its coords will be' +
            ' clipped no never exceed the window size.'
          Caption = 'Clip outside the window'
          TabOrder = 3
        end
      end
      object chkEnableExtraKey: TCheckBox
        Left = 9
        Top = 43
        Width = 184
        Height = 19
        Hint = 'Force the Windows key on keyboard to work.'
        Caption = 'Enable OS special key'
        TabOrder = 2
      end
    end
    object tabSpeedHack: TTabSheet
      Caption = 'Speed'
      ImageIndex = 5
      object chkSpeedHack: TCheckBox
        Left = 9
        Top = 4
        Width = 355
        Height = 18
        Hint = 'Speed control EXPERIMENTAL function'
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Use speed control'
        TabOrder = 0
        OnClick = chkSpeedHackClick
      end
      object grpSpeedHack: TGroupBox
        Left = 0
        Top = 27
        Width = 368
        Height = 111
        Align = alBottom
        Caption = 'SpeedHack'
        TabOrder = 1
        object editSpeeHackMultiple: TEdit
          Left = 68
          Top = 17
          Width = 53
          Height = 21
          MaxLength = 4
          TabOrder = 0
          OnKeyPress = editFloatKeyPress
        end
        object StaticText4: TStaticText
          Left = 17
          Top = 21
          Width = 48
          Height = 17
          Caption = 'Multiplier:'
          TabOrder = 1
        end
      end
    end
  end
  object OpenDialogDll: TOpenDialog
    Filter = 'Dynamic Library (*.dll)|*.dll'
    Options = [ofHideReadOnly, ofFileMustExist, ofEnableSizing]
    Left = 276
    Top = 7
  end
end
